[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGraphic.DefineProperties

DefineProperties finds out whether the object really is a binary (graphic).

## Declaration

Source position: graphics.pp line 804

`protected procedure TGraphic.DefineProperties(`
`Filer: TFiler`
`); override;`

## Arguments

`Filer` |  | TFiler instance used to read and write property values during component streaming.

## Description

Ensures that ReadData and WriteData are used to read the binary values for image data in TGraphic instances. Calls the DefineBinaryProperty method in Filer to set the read and write procedures for the data.